SELECT Module_ID INTO @GSModuleID FROM Modules WHERE Description = 'Gas Sensor Module';

DELETE FROM Events;
DELETE FROM Sensors WHERE Module_ID = @GSModuleID;


LOAD DATA LOCAL INFILE '/etc/default/Zayndu/301.csv' INTO TABLE Sensors
FIELDS TERMINATED BY ',' LINES TERMINATED BY '\n'
IGNORE 1 LINES
(@col0, @col1, @col2, @col3, @col4, @col5, @col6, @col7)
SET
Description = @col6,
Module_ID = @GSModuleID,
Data_Type = (CASE
                WHEN STRCMP(@col2, "DI01") = 0 THEN 6
                WHEN STRCMP(@col2, "HC01") = 0 THEN 2
                WHEN STRCMP(@col2, "H16")  = 0 THEN 0
                WHEN STRCMP(@col2, "I16")  = 0 THEN 4
                WHEN STRCMP(@col2, "H32")  = 0 THEN IF(STRCMP(@col3, "D"), 1, 3)
                WHEN STRCMP(@col2, "I32")  = 0 THEN 5
                WHEN STRCMP(@col2, "H32F") = 0 THEN 3
                WHEN STRCMP(@col2, "I32F") = 0 THEN 7
             END
            ),
ReadPriority = (CASE
                    WHEN STRCMP(@col7, 'Medium') = 0 THEN 2
                    WHEN STRCMP(@col7, 'Output') = 0 THEN 1
                    WHEN STRCMP(@col7, 'Fast')   = 0 THEN 2
                    WHEN STRCMP(@col7, 'None')   = 0 THEN -1
                    WHEN STRCMP(@col7, 'Low')    = 0 THEN 1
                    WHEN STRCMP(@col7, 'Debug')  = 0 THEN 1
                    WHEN STRCMP(@col7, 'Setup')  = 0 THEN 0
					ELSE 2
                END
                ),
Operating_Maximum = 0.0,
Operating_Minimum = 0.0,
Register_Address  = CONV(SUBSTRING(@col1,3),16,10);

